Summary: Automatically update your machine daily via yum
Name: yum-autoupdate
Version: 2
Release: 3
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
URL: http://www.scientificlinux.org/
BuildRoot: %{_tmppath}/%{name}-%{version}root
Requires: yum
BuildArchitectures: noarch
Epoch: 5

%description
Automatically update your machine daily via yum.  If anything is updated,
it is logged in the yum.log and you are sent an email. 
The configuration file is in /etc/sysconfig/yum-autoupdate.


%prep
%setup -q

%install
mkdir -p $RPM_BUILD_ROOT/etc
cp -r etc/* $RPM_BUILD_ROOT/etc

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-, root, root)
%config %{_sysconfdir}/cron.daily/yum-autoupdate
%config(noreplace) %{_sysconfdir}/sysconfig/yum-autoupdate

%changelog
* Mon Aug 15 2011 Troy Dawson <dawson@fnal.gov> 2-3
- Added variables "SENDEMAIL" and "SENDONLYERRORS"

* Wed Apr 20 2011 Troy Dawson <dawson@fnal.gov> 2-2
- Fix a security issue with the tmp configuration files.
  Patch provided by Juergen Salk

* Wed Feb 16 2011 Troy Dawson <dawson@fnal.gov> 2-1
- Put the GPL and copyright stuff in the script.

* Mon Jan 24 2011 Troy Dawson <dawson@fnal.gov> 2-0.1.rolling.SL6
- Changed yum-autoupdate to use a configuration file in /etc/sysconfig
instead of separate files scattered around.  Admins can change the
variables ENABLED, MAILTO, EXCLUDE, MAXWAITTIME, CONFIGFILE, DEBUG
